<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_2e858fb197333" . "7f53ff85c104fc" . "b38f4" => base64_decode("cHVibGlza" . "GVk"), "_32155ccb342f1990430" . "93041c1b3bb57" => base64_decode("ZnJvbV9mb2xkZXJfa" . "WQ="), "_939c6a45ff74323db" . "ef487ed15753a7c" => base64_decode("c3RhdGU" . "="), "ty" . "pe" => base64_decode("dHlw" . "ZQ=="), "_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c" => base64_decode("dG9fZm9sZGVy" . "X2lk"), "_d0845bff5cd0ddb5ed1d7bd9db996" . "f51" => base64_decode("c291c" . "mNl"), "_4c760fb02a49c55509ba08" . "7b84fbda45" => base64_decode("ZHJhZ" . "nQ="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_939c6a45ff74323dbef4" . "87ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4c760fb02a49c55509ba" . "087b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d0845bff5cd0ddb5ed1d7bd9d" . "b996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_32155cc" . "b342f199" . "04309304" . "1c1b3bb5" . "7"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_80e7ee43fdf838101a2303" . "a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}